jQuery(document).ready(function($) {
    // Handle shortcode copy functionality
    $('.rateme-copy-btn').click(function() {
        var $button = $(this);
        var textToCopy = $button.data('clipboard');
        
        // Create temporary textarea
        var $temp = $('<textarea>');
        $('body').append($temp);
        $temp.val(textToCopy).select();
        
        try {
            // Copy text
            document.execCommand('copy');
            
            // Visual feedback
            $button.addClass('copied');
            var originalText = $button.text();
            $button.html('<span class="dashicons dashicons-yes"></span> Copied!');
            
            setTimeout(function() {
                $button.removeClass('copied');
                $button.html('<span class="dashicons dashicons-clipboard"></span> Copy');
            }, 1500);
        } catch (err) {
            console.error('Copy failed:', err);
        }
        
        // Remove temporary textarea
        $temp.remove();
    });

    // Initialize tooltips for IP addresses
    $('.ip-address').hover(function() {
        var $this = $(this);
        if (!$this.data('tooltip')) {
            $this.data('tooltip', true);
            var $tooltip = $('<div class="ip-tooltip">').text('IP Address');
            $this.append($tooltip);
        }
    });
});